BOOTFLAGS(8)

NAME
bootflags - display/change system boot flags

SYNOPSIS
bootflags [-p] [-c] [-v] [flag=value] ...

DESCRIPTION
Bootflags displays or changes the flags that control system boot and reboot actions. Unless the -p option is specified, only the temporary flags are affected.

-p  Display or change the permanent boot flags rather than the temporary boot flags.

-c  Copy temporary boot flags to the permanent boot flags. If the -p flag is given, copy the permanent boot flags into the temporary boot flags. The copy is done after all the changes to flags have been made.

-v  Display the flags after they have been changed.

The assignments are as follows. All numeric values (f, ra0, ra1), are assumed to be in decimal unless they start with ``0x'', in which case they are taken in hexadecimal. String values (n0, n1), are taken literally as character strings.

assignment
    effect

n0=string
    Change primary boot name to string.

n1=string
    Change secondary boot name to string.

f=n Set boot flags to n.

ra0=n
    Change primary reboot reconfiguration structure address to n.

ra1=n
    Change secondary reboot reconfiguration structure address to n.

For example, to change the permanent boot flags so that the secondary boot name is ``sd(48,0)stand/dump sd(48,1) 1000 /dev/sd0b'', and the secondary reboot reconfiguration structure address is 0x30000,

    bootflags -p 'n1=sd(48,0)stand/dump sd(48,1) 1000 /dev/sd0b' 'ra1=0x30000'

Note the use of quotes to collect the arguments of the assignments together.

FILES

/dev/smemco
    Console SCSI/Ether memory.

SEE ALSO